package com.liang.service;

import com.liang.entity.StaOutttesting;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageRequest;

import java.util.List;

/**
 * 外协测试试验与加工费(StaOutttesting)表服务接口
 *
 * @author makejava
 * @since 2023-07-18 21:55:16
 */
public interface StaOutttestingService {

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    StaOutttesting queryById(Integer id);

    /**
     * 分页查询
     *
     * @param staOutttesting 筛选条件
     * @param pageRequest    分页对象
     * @return 查询结果
     */
    Page<StaOutttesting> queryByPage(StaOutttesting staOutttesting, PageRequest pageRequest);

    /**
     * 新增数据
     *
     * @param staOutttesting 实例对象
     * @return 实例对象
     */
    StaOutttesting insert(StaOutttesting staOutttesting);

    /**
     * 修改数据
     *
     * @param staOutttesting 实例对象
     * @return 实例对象
     */
    StaOutttesting update(StaOutttesting staOutttesting);

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     * @return 是否成功
     */
    boolean deleteById(Integer id);

    /**
     * 获取列表
     *
     * @return
     */
    List<StaOutttesting> getWxcsList(Integer zb);

    /**
     * 通过主表删除数据
     *
     * @param zb
     * @return
     */
    int deleteByZb(Integer zb);

    /**
     * 批量删除
     *
     * @param zbList
     * @return
     */
    int batchDeleteByZb(List<Integer> zbList);

    /**
     * 批量插入
     *
     * @param expenseList
     * @return
     */
    int insertBatch(List<StaOutttesting> expenseList);
}
